良许Linux教程网 干货合集 Ubuntu中编译安装Xfce 4.14具体方法

Ubuntu中编译安装Xfce 4.14具体方法

Xfce 是类 UNIX 操作系统上的轻量级桌面环境,4.14 版本已经发布,将组件从 GTK 2 转换为 GTK 3,此版还提供了 HiDPI 支持、许多窗口管理改进、各种多监视器增强、各种用户界面改进、新的屏幕保护程序支持,以及对现有项目的大量其他新功能和改进。

Ubuntu中编译安装Xfce 4.14具体方法

首先,您需要决定要编译哪个版本的Xfce。Xfce版本号是这样构造的:1.2.3 major.minor.micro。如果minor是偶数,这意味着它是一个稳定的版本。奇数次版本表示开发或测试快照。

一旦确定要编译哪个版本,就有几种方法可以下载源代码。 您可以选择构建正式发布的包,也可以克隆源存储库。 建议选择选择已发布的软件包。 源存储库可能会被破坏,通常不适合生产环境。 但是,它们始终包含最新功能,错误修复和翻译。

xfce的编译安装顺序有一定的要求,在安装之前需要删除老版本的xfce。如果编译顺序不对或者没有删除旧版本的xfce登录时后又再跳入登录界面。如果出现问题请删除旧版本的xfce,然后按照正确的顺序重新编译安装。

删除老版本的xfce执行:

sudo apt-get remove xfce4-*  xfwm4 xfconf

其他的软件根据个人安装情况进行删除,如果未删除也不会影响,执行apt-get的时候可能会提示你一些无用软件,这是可以使用apt-get删除掉。

教你如何在 Ubuntu 18.04/19.04/19.10 中编译安装最新的 Xfce 4.14教你如何在 Ubuntu 18.04/19.04/19.10 中编译安装最新的 Xfce 4.14
教你如何在 Ubuntu 18.04/19.04/19.10 中编译安装最新的 Xfce 4.14教你如何在 Ubuntu 18.04/19.04/19.10 中编译安装最新的 Xfce 4.14

*Xfce的依赖链*

Xfce包需要按特定顺序构建。 如果不遵循此选项,则编译选项可能不可用,或者配置阶段将因缺少依赖性而中止。

准备完毕后先下载xfce4.14,下载 – 获取源码 tarball ,然后解压,进入相应的目录执行:

./configure && make && sudo make install

编译顺序为

  • xfce4-dev-tools (only required if you build from GIT)
  • libxfce4util
  • xfconf
  • libxfce4ui
  • garcon, exo
  • thunar
  • xfce4-panel, xfce4-settings, xfce4-session, xfdesktop, xfwm4, xfce4-appfinder, tumbler…

下载的其他软件最后编译安装,还有一些软件请到此处下载:http://archive.xfce.org/src/,比如可能需要orage,那就去http://archive.xfce.org/src/apps/orage下载最新版本编译安装即可。

在编译过程中有一些依赖需要安装,提示错误的时候再安装也可,比如提示缺少libwnck,可以执行:

apt-cache search libwnck

来查找这个软件包,最好不要带版本号,然后使用:

sudo apt-get install libwnck-3-dev

即可(安装带dev字样的包)。

安装完成后还需要自己进行一些配置,来慢足个人的需求。

以上就是良许教程网为各位朋友分享的Linux系统相关内容。想要了解更多Linux相关知识记得关注公众号“良许Linux”,或扫描下方二维码进行关注,更多干货等着你 !

img
本文由 良许Linux教程网 发布,可自由转载、引用,但需署名作者且注明文章出处。如转载至微信公众号,请在文末添加作者公众号二维码。
良许

作者: 良许

良许,世界500强企业Linux开发工程师,公众号【良许Linux】的作者,全网拥有超30W粉丝。个人标签:创业者,CSDN学院讲师,副业达人,流量玩家,摄影爱好者。
上一篇
下一篇

发表评论

邮箱地址不会被公开。 必填项已用*标注

联系我们

联系我们

公众号:良许Linux

在线咨询: QQ交谈

邮箱: yychuyu@163.com

关注微信
微信扫一扫关注我们

微信扫一扫关注我们

关注微博
返回顶部